﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication13
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        #region IsFiltered  
        public static bool GetIsFiltered(DependencyObject obj)
        {
            return (bool)obj.GetValue(IsFilteredProperty);
        }

        public static void SetIsFiltered(DependencyObject obj, bool value)
        {
            obj.SetValue(IsFilteredProperty, value);
        }

        // Using a DependencyProperty as the backing store for IsFiltered.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty IsFilteredProperty =
            DependencyProperty.RegisterAttached("IsFiltered", typeof(bool), typeof(MainWindow), new UIPropertyMetadata((bool)false));

        #endregion

        private void xamDataGrid1_RecordFilterChanged(object sender, Infragistics.Windows.DataPresenter.Events.RecordFilterChangedEventArgs e)
        {
            if (e.RecordFilter.Conditions.Count > 0)
            {
                e.RecordFilter.Field.SetValue(IsFilteredProperty, true);
            }
            else
            {
                e.RecordFilter.Field.SetValue(IsFilteredProperty, false);
            }
        }
    }
}
